import { world, system } from "@minecraft/server"
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"


world.beforeEvents.itemUseOn.subscribe((eventData) => {
    let item = eventData.itemStack;
    let playerr = eventData.source;
    let blockk = eventData.block;
    if ((playerr['useCD'] ?? 0) > Date.now()) return;
    playerr['useCD'] = Date.now() + 500;


    if (item.typeId == "krep:k2" && blockk.typeId == "krep:loker") {
        form1(playerr);

    }
    
    if (item.typeId == "krep:qbz95" && blockk.typeId == "krep:loker") {
        form1(playerr);

    }

    if (item.typeId == "krep:type89" && blockk.typeId == "krep:loker") {
        form1(playerr);

    }


})


//form
function form1(player) {
    system.run(()=> {
        const form = new ActionFormData()
            .title("Select Kit")
            .button("K2 Kit", "textures/items/k2")
            .button("QBZ-95 Kit", "textures/items/qbz95")
            .button("Type-89 Kit", "textures/items/type89")
        form.show(player).then(result => {
            if (result.selection === 0) {
                form2(player)
            } else if (result.selection === 1) {
                form3(player)
            } else if (result.selection === 2) {
                form4(player)
            } 
        })
    })
}

function form2(player) {
    system.run(()=> {
        const form = new ActionFormData()
            .title("K2 Kit")
            .button("K2")
            .button("K2-C1")
            .button("K1A")
        form.show(player).then(result => {
            if (result.selection === 0) {
                player.runCommandAsync("event entity @s krep:k2kit")
            } else if (result.selection === 1 ) {
                player.runCommandAsync("event entity @s krep:k2c1kit")
            } else if (result.selection === 2) {
                player.runCommandAsync("event entity @s krep:k1kit")
            }
        })
    })
}

function form3(player) {
    system.run(()=> {
        const form = new ActionFormData()
            .title("QBZ-95 Kit")
            .button("QBZ-95")
            .button("QJB-95 LSW")
            .button("QBZ-95B-1")
        form.show(player).then(result => {
            if (result.selection === 0) {
                player.runCommandAsync("event entity @s krep:qbz95kit")
            } else if (result.selection === 1 ) {
                player.runCommandAsync("event entity @s krep:qjb95kit")
            } else if (result.selection === 2) {
                player.runCommandAsync("event entity @s krep:qbz95ikit")
            }
        })
    })
}

function form4(player) {
    system.run(()=> {
        const form = new ActionFormData()
            .title("Type-89 Kit")
            .button("Type-89")
            .button("Type-89F")
            .button("Rifle Grenade")
        form.show(player).then(result => {
            if (result.selection === 0) {
                player.runCommandAsync("event entity @s krep:type89kit")
            } else if (result.selection === 1 ) {
                player.runCommandAsync("event entity @s krep:type89fkit")
            } else if (result.selection === 2) {
                player.runCommandAsync("event entity @s krep:type89rgkit")
            }
        })
    })
}